Yii2 Composer安装报错的解决办法

技巧库 · ruzuojun · 于 4年前 发布 · 3831 次阅读

在执行composer install安装的时候提示 如下错误:


Downloading https://api.github.com/repos/forecho/sb-admin-2-assets/git/refs/head
s?per_page=100

  [ErrorException]
  Illegal offset type in isset or empty

Exception trace:
 () at phar://D:/wwwroot/dba-china/composer.phar/src/Composer/Package/Version/Ve
rsionParser.php:26

找了很多帖子都没有解决,最后从一篇文章中发现是个bug fxp/composer-asset-plugin 相关的一个BUG,你在global require的时候,用1.1的beta版就没问题了。

解决方法,首先在cmd上输入

composer global require "fxp/composer-asset-plugin:~1.1.1"

然后在cmd上输入

composer install


如果这篇文章对您有帮助,不妨微信小额赞助我一下,让我有动力继续写出高质量的教程。

共收到 2 条回复
echo#14年前 0 个赞

是哪篇文章发现的?也贴出来看看。

添加回复 (需要登录)
需要 登录 后方可回复, 如果你还没有账号请点击这里 注册